Package org.eclipse.jdt.core

## Interface IImportDeclaration

All Superinterfaces:
  `IAdaptable`, `IJavaElement`, `ISourceManipulation`, `ISourceReference`

    public interface IImportDeclaration
    extends IJavaElement, ISourceReference, ISourceManipulation

Represents an import declaration in Java compilation unit.

Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.core.IJavaElement

`ANNOTATION, CLASS_FILE, COMPILATION_UNIT, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVA_MODEL, JAVA_MODULE, JAVA_PROJECT, LOCAL_VARIABLE, METHOD, PACKAGE_DECLARATION, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE, TYPE_PARAMETER`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getElementName()` Returns the name that has been imported.
`int` `getFlags()` Returns the modifier flags for this import.
`boolean` `isOnDemand()` Returns whether the import is on-demand.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.jdt.core.IJavaElement

`exists, getAncestor, getAttachedJavadoc, getCorrespondingResource, getElementType, getHandleIdentifier, getJavaModel, getJavaProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown`

### Methods inherited from interface org.eclipse.jdt.core.ISourceManipulation

`copy, delete, move, rename`

### Methods inherited from interface org.eclipse.jdt.core.ISourceReference

`exists, getNameRange, getSource, getSourceRange`

### Method Detail

#### getElementName

    String getElementName()

Returns the name that has been imported. For an on-demand import, this includes the trailing `".*"`. For example, for the statement `"import java.util.*"`, this returns `"java.util.*"`. For the statement `"import java.util.Hashtable"`, this returns `"java.util.Hashtable"`.

Specified by:
  `getElementName` in interface `IJavaElement`
Returns:
  the name that has been imported

#### getFlags

    int getFlags()
          throws JavaModelException

Returns the modifier flags for this import. The flags can be examined using class `Flags`. Only the static flag is meaningful for import declarations.

Returns:
  the modifier flags for this import
Throws:
  `JavaModelException` - if this element does not exist or if an exception occurs while accessing its corresponding resource.
Since:
  3.0
See Also:
  `Flags`

#### isOnDemand

    boolean isOnDemand()

Returns whether the import is on-demand. An import is on-demand if it ends with `".*"`.

Returns:
  true if the import is on-demand, false otherwise